Bug 51906 - updated telnet server/client now requires leading '\' to display backslash in greeting
Summary: updated telnet server/client now requires leading '\' to display backslash in...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 18:35 UTC by Ron Flory
Modified: 2007-04-18 16:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-28 11:00:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ron Flory 2001-08-16 18:35:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
 The updated RH 7.1 telnet client/server RPMs introduced a slight
incompatability with the previous versions (and other programs that 
use /etc/issue.net) in that the new telnet-0.17-18 now requires a leading
'\' to display a visible backslash in the user login 'greeting' message.

 This is different than the previous versions of telnet shipped with
RH 7.1, and now makes the /etc/issue.net incompatable between telnet and
the FTP server.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.place simple "\/" sequence in /etc/issue.net
2.login to localhost, notice that only '/' is visible in greeting.
3.login with FTP, notice that "\/" is visible in greeting.
4.revert to previous version of telnet, notice that "\/" is visible.
	

Expected Results:  all servers using /etc/issue.net should see the "\/" chars.

Additional info:

Comment 1 Harald Hoyer 2002-02-28 11:00:28 UTC
this behaviour was intentionally added with
Patch7: telnet-0.17-issue.patch

Comments Bill?


Comment 2 Bill Nottingham 2002-02-28 17:16:48 UTC
it was done for compatibility with other programs that parse /etc/issue and
/etc/issue.net.


Note You need to log in before you can comment on or make changes to this bug.